%if 0%{?fedora} > 22
%bcond_without python3
%else
%bcond_with python3
%endif

%global srcname curator
%global commit0 80a31f882294da2eca7e28ea18936f76b6285ac6
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           elastic-curator
Version:        3.5.0
Release:        2%{?dist}
Summary:        Tools for managing Elasticsearch indices

License:        ASL 2.0
URL:            https://github.com/elastic/curator
Source0:        https://github.com/elastic/%{srcname}/archive/%{commit0}.tar.gz#/%{srcname}-%{shortcommit0}.tar.gz
Source1:        curator.1
BuildArch:      noarch

%if %{with python3}
BuildRequires:  python3-click
BuildRequires:  python3-coverage
BuildRequires:  python3-devel
BuildRequires:  python3-elasticsearch
BuildRequires:  python3-mock
BuildRequires:  python3-nose
BuildRequires:  python3-nose-xcover
BuildRequires:  python3-urllib3
BuildRequires:  python3-setuptools
Requires:       python3-click
Requires:       python3-elasticsearch
%else
BuildRequires:  python-click
BuildRequires:  python-coverage
BuildRequires:  python-devel
BuildRequires:  python-elasticsearch
BuildRequires:  python-mock
BuildRequires:  python-nose
BuildRequires:  python-nose-xcover
BuildRequires:  python-setuptools
BuildRequires:  python-urllib3
Requires:       python-click
Requires:       python-elasticsearch
Requires:       python-urllib3
%endif

%description
Tools for managing Elasticsearch indices. Curator performs many operations on 
your Elasticsearch indices, from delete to snapshot to shard allocation routing.

%prep
%setup -q -n %{srcname}-%{commit0}
rm -rf *.egg-info
# don't run integration tests, they need a working ES instance
rm -rf test/integration
# We don't install docs, so bring over Changelog file
rm -f Changelog.rst
cp -p docs/Changelog.rst .

%build
%if %{with python3}
%{__python3} setup.py build
%else
%{__python2} setup.py build
%endif

%install
%if %{with python3}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
%else
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
%endif

install -D -p -m0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/curator.1

%check
%if %{with python3}
%{__python3} setup.py test
%else
%{__python2} setup.py test
%endif

%files
%doc Changelog.rst CONTRIBUTING.md CONTRIBUTORS README.rst
%license LICENSE.txt
%{_bindir}/es_repo_mgr
%{_bindir}/curator
%{_mandir}/man1/curator.1*

%if %{with python3}
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/elasticsearch_curator-%{version}-py3.?.egg-info
%else
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/elasticsearch_curator-%{version}-py2.?.egg-info
%endif


%changelog
* Mon May 02 2016 Troy Dawson <tdawson@redhat.com> 3.5.0-2
- Fix broken symlink

* Tue Apr 05 2016 Troy Dawson <tdawson@redhat.com> 3.5.0-1
- Update to version 3.5.0

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Nov 11 2015 Piotr Popieluch <piotr1212@gmail.com> - 3.4.0-1
- Update to new version

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Tue Sep 22 2015 Piotr Popieluch <piotr1212@gmail.com> - 3.3.0-1
- Update to 3.3.0

* Fri Jul 17 2015 Piotr Popieluch <piotr1212@gmail.com> - 3.2.3-1
- Update to 3.2.3

* Thu Jul  2 2015 Piotr Popieluch <piotr1212@gmail.com> - 3.2.0-1
- Update to 3.2.0
- Rewrite description
- Remove mkdir in %%install
- Add missing BuildRequires

* Tue Jun 16 2015 Piotr Popieluch <piotr1212@gmail.com> - 3.1.0-2
- Fix tests
- Switch to python3 on f22 and higher

* Tue May 26 2015 Piotr Popieluch <piotr1212@gmail.com> - 3.1.0-1
- Update to 3.1.0

* Mon May 11 2015 Piotr Popieluch <piotr1212@gmail.com> - 3.0.3-1
- Initial package
